Bug 998598 - nova interface-attach fails with HTTP 400; TypeError: get_config() takes exactly 6 arguments...
nova interface-attach fails with HTTP 400; TypeError: get_config() takes exac...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
3.0
x86_64 Linux
urgent Severity high
: z2
: 3.0
Assigned To: Xavier Queralt
Ami Jeain
: Regression, ZStream
Depends On:
Blocks: 993100
  Show dependency treegraph
 
Reported: 2013-08-19 10:52 EDT by Jaroslav Henner
Modified: 2014-06-18 03:00 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-nova-2013.1.3-2.el6ost
Doc Type: Bug Fix
Doc Text:
This fix only applies when using quantum networking, nova-network doesn't implement the interface-attach method and will raise a NotImplemented error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 16:22:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
api.log (1.27 KB, text/plain)
2013-08-19 10:52 EDT, Jaroslav Henner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1212565 None None None Never
OpenStack gerrit 37030 None None None Never

  None (edit)
Description Jaroslav Henner 2013-08-19 10:52:51 EDT
Created attachment 788110 [details]
api.log

Description of problem:


Version-Release number of selected component (if applicable):
openstack-nova-api-2013.1.3-1.el6ost.noarch

How reproducible:
always

Steps to Reproduce:
1. nova interface-attach --net-id 'fab05970-8be7-4499-841d-a7da6006714a' cirros1
2.
3.

Actual results:
ERROR: The server could not comply with the request since it is either malformed or otherwise incorrect. (HTTP 400) ...

Expected results:
echo $?
0

Additional info:
Comment 1 Jaroslav Henner 2013-08-19 10:58:59 EDT
In openstack-nova-api-2013.1.2-4.el6ost.noarch the interface-attach doesn't report such error.
Comment 6 Xavier Queralt 2013-08-26 04:42:02 EDT
Just to clarify, this bug only applies when using the quantum/neutron component because nova-network doesn't implement the interface-attach method and will raise a NotImplemented error.
Comment 7 Ami Jeain 2013-08-26 07:28:53 EDT
verified:
#nova interface-attach --net-id '139de751-552f-4cb7-83e6-19bebc7f009c' my_instance

5861cc0c-827c-4b5a-977b-230c80267f30 | my_instance                               | ACTIVE | ext_net=10.35.180.23 

and looking at the api.log:

2013-08-26 14:26:09.497 AUDIT nova.api.openstack.compute.contrib.attach_interfaces [req-6a163ed0-bb44-4eb5-93e9-866d763ffeb6 0323a5ec82934978af125629aa8d8070 a77cd659d2dd46e382b89f87457e3480] [instance: 5861cc0c-827c-4b5a-977b-230c80267f30] Attach interface
2013-08-26 14:26:09.577 INFO nova.openstack.common.rpc.impl_qpid [req-6a163ed0-bb44-4eb5-93e9-866d763ffeb6 0323a5ec82934978af125629aa8d8070 a77cd659d2dd46e382b89f87457e3480] Connected to AMQP server on 10.35.160.17:5672
2013-08-26 14:26:09.589 INFO nova.openstack.common.rpc.impl_qpid [req-6a163ed0-bb44-4eb5-93e9-866d763ffeb6 0323a5ec82934978af125629aa8d8070 a77cd659d2dd46e382b89f87457e3480] Connected to AMQP server on 10.35.160.17:5672
2013-08-26 14:26:15.551 INFO nova.osapi_compute.wsgi.server [req-6a163ed0-bb44-4eb5-93e9-866d763ffeb6 0323a5ec82934978af125629aa8d8070 a77cd659d2dd46e382b89f87457e3480] 10.35.160.17 "POST /v2/a77cd659d2dd46e382b89f87457e3480/servers/5861cc0c-827c-4b5a-977b-230c80267f30/os-interface HTTP/1.1" status: 200 len: 454 time: 6.2709529

2013-08-26 14:26:21.653 INFO nova.osapi_compute.wsgi.server [req-8ea2df77-2368-4db6-8386-a22b612ffb97 0323a5ec82934978af125629aa8d8070 a77cd659d2dd46e382b89f87457e3480] 10.35.160.17 "GET /v2/a77cd659d2dd46e382b89f87457e3480/servers/detail HTTP/1.1" status: 200 len: 12622 time: 0.8259511
Comment 9 errata-xmlrpc 2013-09-03 16:22:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1199.html

Note You need to log in before you can comment on or make changes to this bug.